### Hierarchy

- unknown
  - GetTradeStatisticsReply

## Index

### Constructors

- constructor

### Methods

- addTradeStatistics
- clearTradeStatisticsList
- getTradeStatisticsList
- serializeBinary
- setTradeStatisticsList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetTradeStatisticsReply(): GetTradeStatisticsReply

- Inherited from jspb.Message.constructor

  #### Returns GetTradeStatisticsReply

## Methods

### addTradeStatistics

- addTradeStatistics(value?: TradeStatistics3, index?: number): TradeStatistics3

- - Defined in src/protobuf/grpc_pb.d.ts:2229

  #### Parameters

  - ##### Optional value: TradeStatistics3

  - ##### Optional index: number

  #### Returns TradeStatistics3

### clearTradeStatisticsList

- clearTradeStatisticsList(): GetTradeStatisticsReply

- - Defined in src/protobuf/grpc_pb.d.ts:2228

  #### Returns GetTradeStatisticsReply

### getTradeStatisticsList

- getTradeStatisticsList(): TradeStatistics3 []

- - Defined in src/protobuf/grpc_pb.d.ts:2226

  #### Returns TradeStatistics3 []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2231

  #### Returns Uint8Array

### setTradeStatisticsList

- setTradeStatisticsList(value: TradeStatistics3 []): GetTradeStatisticsReply

- - Defined in src/protobuf/grpc_pb.d.ts:2227

  #### Parameters

  - ##### value: TradeStatistics3 []

  #### Returns GetTradeStatisticsReply

### toObject

- toObject(includeInstance?: boolean): GetTradeStatisticsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2232

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetTradeStatisticsReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradeStatisticsReply

- - Defined in src/protobuf/grpc_pb.d.ts:2235

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradeStatisticsReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradeStatisticsReply, reader: BinaryReader): GetTradeStatisticsReply

- - Defined in src/protobuf/grpc_pb.d.ts:2236

  #### Parameters

  - ##### message: GetTradeStatisticsReply

  - ##### reader: BinaryReader

  #### Returns GetTradeStatisticsReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradeStatisticsReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2234

  #### Parameters

  - ##### message: GetTradeStatisticsReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetTradeStatisticsReply ): GetTradeStatisticsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2233

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradeStatisticsReply

  #### Returns GetTradeStatisticsReply . AsObject

Generated using TypeDoc